import { Observable } from "@nativescript/core";
import { ActivityRecognizer, Resolution } from "./activity-recognition";
import { GeolocationProvider } from "./geolocation";
import { WifiScanProvider } from "./wifi";
import { BleScanProvider } from "./internal/ble";
export declare class Common extends Observable {
    init(): Promise<void>;
    getActivityRecognizer(resolution: Resolution): ActivityRecognizer;
    get geolocationProvider(): GeolocationProvider;
    get wifiScanProvider(): WifiScanProvider;
    get bleScanProvider(): BleScanProvider;
}
