import { WifiScanAdapter } from "../common";
import { WifiFingerprint } from "../fingerprint";
export declare class AndroidWifiScanAdapter implements WifiScanAdapter {
    private wifiManager;
    constructor(wifiManager?: android.net.wifi.WifiManager);
    isReady(): Promise<boolean>;
    prepare(): Promise<void>;
    acquireWifiFingerprint(ensureIsNew?: boolean): Promise<WifiFingerprint>;
    private setupScanReceiver;
    private getLastFingerprint;
}
